tvbrowser.extras.common

## Class AbstractInternalPluginProxy

- java.lang.Object
- - tvbrowser.extras.common.AbstractInternalPluginProxy

- All Implemented Interfaces:
    ProgramReceiveIf, java.lang.Comparable<ProgramReceiveIf>, InternalPluginProxyIf
  Direct Known Subclasses:
    FavoritesPluginProxy, ProgramInfoProxy, ReminderPluginProxy, SearchPluginProxy

      public abstract class AbstractInternalPluginProxy
      extends java.lang.Object
      implements InternalPluginProxyIf, ProgramReceiveIf

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.extras.common.InternalPluginProxyIf

      `InternalPluginProxyIf.Comparator`

  - ### Field Summary

    - ### Fields inherited from interface tvbrowser.extras.common.InternalPluginProxyIf

      `KEYBOARD_ACCELERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInternalPluginProxy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canReceiveProgramsWithTarget()` Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
    `int` | `compareTo(ProgramReceiveIf other)`
    `ProgramReceiveTarget[]` | `getProgramReceiveTargets()` Returns an array of receive targets or `null` if there is no target
    `boolean` | `receivePrograms(Program[] programArr, ProgramReceiveTarget receiveTarget)` Receives a list of programs from another plugin with a target.
    `boolean` | `receiveValues(java.lang.String[] values, ProgramReceiveTarget receiveTarget)` Receives a list of Strings from another plugin with a target.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.extras.common.InternalPluginProxyIf

      `getAfterDataUpdateInfoPanel, getButtonActionDescription, getIcon, getId, getName, getPluginCategory, getPluginCenterPanelWrapper, getSettingsId, getSettingsTab, handleTvBrowserStartFinished, handleTvDataUpdateFinished`

    - ### Methods inherited from interface devplugin.ProgramReceiveIf

      `getId`

- - ### Constructor Detail

    - #### AbstractInternalPluginProxy

          public AbstractInternalPluginProxy()

  - ### Method Detail

    - #### compareTo

          public int compareTo(ProgramReceiveIf other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ProgramReceiveIf>`

    - #### canReceiveProgramsWithTarget

          public boolean canReceiveProgramsWithTarget()

      Description copied from interface: `ProgramReceiveIf`
      Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      Specified by:
        `canReceiveProgramsWithTarget` in interface `ProgramReceiveIf`
      Returns:
        Whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      See Also:
        `ProgramReceiveIf.receivePrograms(Program[],ProgramReceiveTarget)`

    - #### getProgramReceiveTargets

          public ProgramReceiveTarget[] getProgramReceiveTargets()

      Description copied from interface: `ProgramReceiveIf`
      Returns an array of receive targets or `null` if there is no target
      Specified by:
        `getProgramReceiveTargets` in interface `ProgramReceiveIf`
      Returns:
        The supported receive targets.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`, `ProgramReceiveIf.receivePrograms(Program[],ProgramReceiveTarget)`

    - #### receivePrograms

          public boolean receivePrograms(Program[] programArr,
                                ProgramReceiveTarget receiveTarget)

      Description copied from interface: `ProgramReceiveIf`
      Receives a list of programs from another plugin with a target.
      Specified by:
        `receivePrograms` in interface `ProgramReceiveIf`
      Parameters:
        `programArr` - The programs passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `true`, if the programs were correctly received and the target really exists.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`

    - #### receiveValues

          public boolean receiveValues(java.lang.String[] values,
                              ProgramReceiveTarget receiveTarget)

      Description copied from interface: `ProgramReceiveIf`
      Receives a list of Strings from another plugin with a target.
      Specified by:
        `receiveValues` in interface `ProgramReceiveIf`
      Parameters:
        `values` - The value array passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `True` if the value array was handled correct, false otherwise.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)